Authentication Bypass Affecting org.apache.cxf:cxf-bundle-minimal package, versions [2.6.0 ,2.6.2)


0.0
medium
  • Attack Complexity

    Low

  • User Interaction

    Required

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-ORGAPACHECXF-30569

  • published

    9 Jan 2014

  • disclosed

    24 Sep 2012

  • credit

    Unknown

Overview

org.apache.cxf:cxf-bundle-jaxrs is an open source services framework.

Apache CXF before 2.4.9, 2.5.x before 2.5.5, and 2.6.x before 2.6.2 allows remote attackers to execute unintended web-service operations by sending a header with a SOAP Action String that is inconsistent with the message body.

References